
Figure - Bug #117229
测试 Test-ST # 111337 (New): ST测试总票

测试 Test-ST # 116840 (New): 中控联调测试-AF

【AF】【EVT3】【声音控制】副屏播放音乐中，中控断电再上电，副屏音乐声音在扬声器中响了几秒后就无
声音了
2023-03-29 14:17 - CD Test赵飞

Status: CLOSED Start date: 2023-03-29

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0086.C102(X102)��中控版本：62

Resolution: FIXED Degrated: No

Severity: Major Verified Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0098.C103(X103)

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 中控重启后，副屏焦点重置

Description

【前提条件】

1、副屏与中控已连接

2、副屏播放音乐中，声音正常从扬声器输出

【测试步骤】

1、中控断电

2、中控再上电

3、查看

【预期结果】

3、副屏音乐在中控断电后暂停播放（或者继续播放，声音正常从扬声器输出）

【实际结果】

3、副屏音乐继续播放，待中控启动完成后，音乐声音从扬声器输出了几秒后，就没有声音输出了

【恢复方法】

副屏暂停再播放也无声音输出，需要重启副屏后才能恢复

History

#1 - 2023-03-30 18:51 - Multimedia组-RD3_TSCD 梁卿山

HI ALL，

■ 当前分析

问题发生时，中控初始焦点在中控那，但是副屏没有失去过焦点，导致副屏认为焦点在副屏，所以出现了这个问题。

已经反馈给中控，中控意思需要和架构再同步同步。

■ 下一步

等待中控进一步回复

#2 - 2023-03-30 18:51 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to ASSIGNED
#3 - 2023-04-06 10:09 - Multimedia组-RD3_TSCD 梁卿山

HI ALL，

当前和中控沟通的内容，

以下这几个场景优化，有讨论出结论吗？

1. 蓝牙断开连接之后，如果有音乐播放，向中控重新申请，若无，不主动申请

2. 如果蓝牙连接之前，焦点归副屏，副屏连接蓝牙耳机，焦点主动释放给中控

3. 开机重启之后的焦点同步（焦点归主屏，副屏需要播放的时候重新申请）

需要让PM催中控确认。

#4 - 2023-04-08 16:50 - CDTS-TEST 周婷

- Severity changed from Normal to Major

#5 - 2023-04-17 15:36 - 物联网项目组-RD3_CDTS 周飞

依赖心跳检测

#6 - 2023-04-19 20:45 - Multimedia组-RD3_TSCD 梁卿山

HI ALL，

当前除依赖心跳检测的部分外，

蓝牙相关部分，现已经基础场景竞合完成，需要进一步优化多场景竞合。

#7 - 2023-04-21 09:45 - Multimedia组-RD3_TSCD 梁卿山

HI ALL

当前场景依赖中控，

其他开发部分：

1.副屏蓝牙断开和连接时的焦点管理已经完成，开发自测OK;

2.心跳检测当前测试OK，焦点重置待验证。

#8 - 2023-05-05 20:09 - Multimedia组-RD3_TSCD 梁卿山

HI ALL

当前使用中控版本为76，经过验证，心跳出现问题，暂时让天颖在看。

#9 - 2023-05-06 10:48 - Multimedia组-RD3_TSCD 梁卿山

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD FW-程天颖

HI 天颖

2025-07-04 2/4



由于该问题依赖心跳，当前心跳依然不正常，麻烦对心跳进行处理，谢谢！

#10 - 2023-05-08 14:17 - CD FW-程天颖

- Assignee changed from CD FW-程天颖 to CD FW-廖涛

当中控断开连接后，重新连接，HeartbeatManager的心跳检测Timer的线程只会执行一次，帮忙分析一下原因

#11 - 2023-05-08 17:02 - CD FW-廖涛

- Assignee changed from CD FW-廖涛 to CD FW-程天颖

#12 - 2023-05-08 17:11 - CD FW-程天颖

微服务使用的Timer维持心跳，时间同步可能会导致Timer无法执行

#13 - 2023-05-08 17:49 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

198285 general/platform/vendor/thundercom

m/apps/MircoService

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:MicroService:user handler control heartbeatTC-RID: 1201-0206101IssueID: TS-R-BUG-117229Change-Id: I683b61daa77b597093ae3c51540a0563034c0b7c

#14 - 2023-05-08 17:53 - CD FW-程天颖

- Assignee changed from CD FW-程天颖 to Multimedia组-RD3_TSCD 梁卿山

HI 卿山：

心跳问题已经处理，代码已入库请，请确继续分析

#15 - 2023-05-08 19:55 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD TEST-方永红

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Root cause set to 中控重启后，副屏焦点重置

HI 永红

当前audio侧验证OK，麻烦使用5月8日后的版本进行验证，谢谢！

#16 - 2023-05-09 19:39 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED
- Verified Version set to FlatBuild_HH_MCE_FSE.M.R.user.01.00.0098.C103(X103)

5.9

验证通过

#17 - 2023-05-09 19:39 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

- % Done changed from 0 to 100

Files

logcat.txt 3.1 MB 2023-03-29 CD Test赵飞
